type: com.google.api.codegen.ConfigProto
config_schema_version: 2.0.0
language_settings:
  java:
    package_name: com.google.cloud.datastore.v1
  python:
    package_name: google.cloud.datastore_v1.gapic
  go:
    package_name: cloud.google.com/go/datastore/apiv1
  csharp:
    package_name: Google.Cloud.Datastore.V1
    release_level: GA
  ruby:
    package_name: Google::Cloud::Datastore::V1
    release_level: GA
  php:
    package_name: Google\Cloud\Datastore\V1
  nodejs:
    package_name: datastore.v1
    domain_layer_location: google-cloud
interfaces:
- name: google.datastore.v1.Datastore
  retry_params_def:
  - name: default
    initial_retry_delay_millis: 100
    retry_delay_multiplier: 1.3
    max_retry_delay_millis: 60000
    initial_rpc_timeout_millis: 60000
    rpc_timeout_multiplier: 1
    max_rpc_timeout_millis: 60000
    total_timeout_millis: 600000
  methods:
  - name: Lookup
    retry_codes_name: idempotent
  - name: RunQuery
    retry_codes_name: idempotent
  - name: ReserveIds
    retry_codes_name: idempotent
